//
//  ViewController.m
//  TestWebView
//
//  Created by vijay vikram singh on 2/14/17.
//  Copyright © 2017 vijay vikram singh. All rights reserved.
//
#import "ViewController.h"

@interface ViewController ()
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    webView = [[CustomWebView alloc] initWithFrame:CGRectMake(10, 10, 300, 300)];
    webView.backgroundColor = [UIColor greenColor];
    webView.opaque = false;
    webView.userInteractionEnabled = true;
    NSString *htmlstr = @"<html><body><p>The slice() method extract a part of a strin and returns the extracted parts in a new string:</p><p id=\"demo\"></p></body><a onclick=javascript:alert('Test')>Click me!</a></body></html>";
    [webView loadHTMLString:htmlstr baseURL:nil];
    [self.view addSubview:webView];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event {
    NSLog(@"touch began");
    UIAlertController *alertController = [UIAlertController alertControllerWithTitle:@"Touch started" message:nil preferredStyle:UIAlertControllerStyleAlert];
    UIAlertAction *action = [UIAlertAction actionWithTitle:@"Ok" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
    }];
    [alertController addAction:action];
    [self presentViewController:alertController animated:false completion:nil];
}


@end



@implementation CustomWebView

// Comment below function for checking normal webview behaviour. It will show the alert of onclick event.

-(UIView*)hitTest:(CGPoint)point withEvent:(UIEvent *)event
{
    UIView *view = [super hitTest:point withEvent:event];
    UIView *superview = [view superview];
    UIView *superduperview = [superview superview];
    if ((view == self) || (superview == self) || (superduperview == self))
    {
        return self;
    }
    
    
    return view;
}

@end
